|  | Home |

# QMailProtocolAction Class Reference

The QMailProtocolAction class provides a mechanism for messageserver clients and services to collaborate without messageserver involvement. More...

        #include <QMailProtocolAction>

This class is under development and is subject to change.

Inherits QMailServiceAction.

- List of all members, including inherited members

## Public Functions

| QMailProtocolAction ( QObject * parent = 0 )

- 4 public functions inherited from QMailServiceAction
- 29 public functions inherited from QObject

## Public Slots

void | protocolRequest ( const QMailAccountId & accountId, const QString & request, const QVariant & data )

- 1 public slot inherited from QMailServiceAction
- 1 public slot inherited from QObject

## Signals

void | protocolResponse ( const QString & response, const QVariant & data )

- 4 signals inherited from QMailServiceAction
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 2 protected functions inherited from QMailServiceAction
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailProtocolAction class provides a mechanism for messageserver clients and services to collaborate without messageserver involvement.

QMailProtocolAction provides a mechanism for messaging clients to request actions from message services that are not implemented by the messageserver. If a client can determine that the service implementing a specific account supports a particular operation (by inspecting the output of QMailAccount::messageSources()), it may invoke that operation by passing appropriately formatted data to the service via the protocolRequest() slot.

If the service is able to provide the requested service, and extract the necessary data from the received input, it should perform the requested operation. If any output is produced, it may be passed back to the client application via the protocolResponse() signal.

## Member Function Documentation

### QMailProtocolAction::QMailProtocolAction ( QObject * parent = 0 )

Constructs a new protocol action object with the supplied parent.

### void QMailProtocolAction::protocolRequest ( const QMailAccountId & accountId, const QString & request, const QVariant & data ) `[slot]`

Requests that the message server forward the protocol-specific request request to the QMailMessageSource configured for the account identified by accountId. The request may have associated data, in a protocol-specific form.

### void QMailProtocolAction::protocolResponse ( const QString & response, const QVariant & data ) `[signal]`

This signal is emitted when the response response is emitted by the messageserver, with the associated data.